Bug 1644700 - freetype with subpixel rendering enabled should Obsolete freetype-freeworld
Summary: freetype with subpixel rendering enabled should Obsolete freetype-freeworld
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 29
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-31 12:41 UTC by Kevin Kofler
Modified: 2018-11-04 12:21 UTC (History)
11 users (show)

Fixed In Version: freetype-2.9.1-6.fc29 freetype-2.9.1-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-03 00:01:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2018-10-31 12:41:49 UTC
Description of problem:
Please add:
Obsoletes: freetype-freeworld < …
for upgrade path from RPM Fusion Free.

Version-Release number of selected component (if applicable):
freetype-2.9.1-5.fc29
freetype-2.9.1-5.fc30

Comment 1 Fedora Update System 2018-10-31 16:06:13 UTC
freetype-2.9.1-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7ea6e0dfb5

Comment 2 Marek Kašík 2018-10-31 16:08:33 UTC
I've added the Obsoletes to Fedora 29 and rawhide.

Comment 3 Kevin Kofler 2018-10-31 21:59:45 UTC
Thanks!

Comment 4 Fedora Update System 2018-11-01 15:40:50 UTC
freetype-2.9.1-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7ea6e0dfb5

Comment 5 Fedora Update System 2018-11-03 00:01:49 UTC
freetype-2.9.1-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Christian Stadelmann 2018-11-04 12:12:14 UTC
This update breaks subpixel rendering completely making it show clear coloured lines beside the font. With freetype-freeworld's subpixel rendering, everything was fine.

See bug #1645763.

Comment 7 Christian Stadelmann 2018-11-04 12:21:08 UTC
(In reply to Christian Stadelmann from comment #6)
> This update breaks subpixel rendering completely making it show clear
> coloured lines beside the font. With freetype-freeworld's subpixel
> rendering, everything was fine.
> 
> See bug #1645763.

Could you please undo this regression?


Note You need to log in before you can comment on or make changes to this bug.